import Project from './model'
import mongoose from 'mongoose'
import express from 'express'
import routeGen from '../routeGen'

export const routes = routeGen(Project)

const router = express.Router()
router.get(/\/(\w+)?\/?$/, routes.get)
router.post('/', routes.post)
router.put(/\/(\w+)?\/?$/, routes.put)
router.delete(/\/(\w+)?\/?$/, routes.del)

export default router
